Bug 216181 - Subversion 1.4.2 BuildRequires apr-util >= 0.9.7, not 0.9.5?
Summary: Subversion 1.4.2 BuildRequires apr-util >= 0.9.7, not 0.9.5?
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: subversion   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-17 17:13 UTC by Alan Schmidt
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-11 12:55:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alan Schmidt 2006-11-17 17:13:24 UTC
Description of problem:
If you rpmbuild the subversion-1.4.2 SRPM from FC6 on a machine with apr-devel
0.9.6 (e.g.: FC4), the configure script fails. Configure is using a regular
expression which is specifying 0.9.7 or better.

I notice FC's apr-0.9.6 has quite a number of patches, so it may be true that
FC's apr-0.9.6 is indeed sufficient.

Comment 1 Alan Schmidt 2006-11-17 17:18:13 UTC
Not yet coffee-d up enough. It's apr-UTIL with the version discrepancy.

Comment 2 Joe Orton 2007-04-11 12:55:36 UTC
It may well be true that FC6/devel subversion package *could* be patched and
packaged to support building against the the FC4 apr/apr-util packages; but it
would add unnecessary complexity; FC6 packages should not in general be expected
to build as-is on <FC6.

I've fixed the deps to reflect the actual dependencies in the configure script
for the next Raw Hide build; thanks for the report.


Note You need to log in before you can comment on or make changes to this bug.